Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.bridge.builtin
Class UrlBridge

    java.lang.Object
      org.hibernate.search.bridge.builtin.UrlBridge

All Implemented Interfaces:
  StringBridge, TwoWayStringBridge

    public class UrlBridge

extends java.lang.Object
implements TwoWayStringBridge

Bridge for `URL`s.

Author:
  Emmanuel Bernard

Constructor Summary
`UrlBridge()`

Method Summary
`java.lang.String` | `objectToString(java.lang.Object object)` Converts the object representation to a string.
`java.lang.Object` | `stringToObject(java.lang.String stringValue)` Convert the index string representation to an object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlBridge

    public UrlBridge()

Method Detail

### stringToObject

    public java.lang.Object stringToObject(java.lang.String stringValue)

  Description copied from interface: `TwoWayStringBridge`
  Convert the index string representation to an object.

  Specified by:
    `stringToObject` in interface `TwoWayStringBridge`
  Parameters:
    `stringValue` - The index value.
  Returns:
    Takes the string representation from the Lucene index and transforms it back into the original `Object`.

### objectToString

    public java.lang.String objectToString(java.lang.Object object)

  Description copied from interface: `StringBridge`
  Converts the object representation to a string.

  Specified by:
    `objectToString` in interface `StringBridge`
  Parameters:
    `object` - The object to transform into a string representation.
  Returns:
    String representation of the given object to be stored in Lucene index. The return string must not be `null`. It can be empty though.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.